Page MenuHomePhabricator

Decommission db2043-db2070
Open, MediumPublic

Description

The following hosts are scheduled to be decommissioned by January 2020.
This task will track its preparation to be sent to DCOps for final decommissioning

Some of them already have hardware problems and should be decommissioned

Details

Related Gerrit Patches:
operations/puppet : productiondb2048,db2061: Disable notifications
operations/puppet : productioninstances.yaml: Remove db2048,db2061
operations/puppet : productiondb2046: Disable notifications
operations/mediawiki-config : masterdb-eqiad,db-codfw.php: Remove db2049 from config
operations/puppet : productionmariadb: Promote db2096 to x1 codfw master
operations/mediawiki-config : masterdb-codfw.php: Promote db2096 to x1 codfw master

Related Objects

StatusAssignedTask
ResolvedNone
OpenMarostegui
DeclinedNone
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
ResolvedPapaul
OpenPapaul

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2019-08-20T07:49:01Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db2059 and db2066, those two will be decommissioned T228258', diff saved to https://phabricator.wikimedia.org/P8934 and previous config saved to /var/cache/conftool/dbconfig/20190820-074900-marostegui.json

Marostegui updated the task description. (Show Details)Aug 20 2019, 9:20 AM
Marostegui updated the task description. (Show Details)Aug 20 2019, 10:54 AM
Marostegui updated the task description. (Show Details)Aug 21 2019, 7:55 AM
Marostegui updated the task description. (Show Details)Aug 21 2019, 8:13 AM
Marostegui updated the task description. (Show Details)Aug 22 2019, 5:30 AM
Marostegui updated the task description. (Show Details)Aug 23 2019, 5:17 AM

Change 532545 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2046: Disable notifications

https://gerrit.wikimedia.org/r/532545

Change 532545 merged by Marostegui:
[operations/puppet@production] db2046: Disable notifications

https://gerrit.wikimedia.org/r/532545

Marostegui updated the task description. (Show Details)Aug 29 2019, 5:02 AM
Marostegui updated the task description. (Show Details)Aug 30 2019, 5:12 AM
Marostegui updated the task description. (Show Details)Aug 30 2019, 5:26 AM
Marostegui updated the task description. (Show Details)Sep 3 2019, 6:31 AM
Marostegui updated the task description. (Show Details)Sep 6 2019, 8:35 AM
Marostegui updated the task description. (Show Details)Sep 10 2019, 5:37 AM
Marostegui updated the task description. (Show Details)Sep 16 2019, 6:05 AM
Marostegui changed the status of subtask T233185: Decommission db2067.codfw.wmnet from Open to Stalled.Sep 18 2019, 5:20 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Sep 18 2019, 5:49 AM
Marostegui updated the task description. (Show Details)Sep 19 2019, 5:13 AM
Marostegui updated the task description. (Show Details)Oct 14 2019, 5:27 AM
Marostegui updated the task description. (Show Details)Oct 14 2019, 7:14 AM

Change 544615 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove db2048,db2061

https://gerrit.wikimedia.org/r/544615

Change 544615 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove db2048,db2061

https://gerrit.wikimedia.org/r/544615

Mentioned in SAL (#wikimedia-operations) [2019-10-21T05:43:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db2048 and db2061, those hosts will be decommissioned T228258', diff saved to https://phabricator.wikimedia.org/P9400 and previous config saved to /var/cache/conftool/dbconfig/20191021-054340-marostegui.json

Marostegui updated the task description. (Show Details)Oct 24 2019, 5:02 AM

Change 545700 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2048,db2061: Disable notifications

https://gerrit.wikimedia.org/r/545700

Change 545700 merged by Marostegui:
[operations/puppet@production] db2048,db2061: Disable notifications

https://gerrit.wikimedia.org/r/545700

jcrespo added a subscriber: jcrespo.EditedOct 29 2019, 10:17 AM

I noticed db2062 isn't set on m1, is that on purpose because it is going to be decommissioned? Or because we didn't want it to alert? Or something else? CC @Marostegui

Cannot be because db1135 also doesn't have the check 🤔

I noticed db2062 isn't set on m1, is that on purpose because it is going to be decommissioned? Or because we didn't want it to alert? Or something else? CC @Marostegui
Cannot be because db1135 also doesn't have the check 🤔

db2062 will be decommissioned once the new hosts arrive and get setup

What about db1135, then (probably others)? Is it on purpose or WIP, or something else? I didn't want to break anything, sorry.

Marostegui updated the task description. (Show Details)Tue, Nov 12, 7:00 AM
Marostegui renamed this task from Decommission db2043-db2069 to Decommission db2043-db2070.Mon, Nov 18, 10:23 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Wed, Nov 20, 8:16 AM
Marostegui updated the task description. (Show Details)Wed, Nov 20, 8:18 AM
Marostegui changed the status of subtask T233185: Decommission db2067.codfw.wmnet from Stalled to Open.Wed, Nov 20, 9:25 AM
Marostegui updated the task description. (Show Details)Fri, Nov 29, 6:19 AM
Marostegui updated the task description. (Show Details)Tue, Dec 3, 5:56 AM
Marostegui updated the task description. (Show Details)Tue, Dec 3, 6:22 AM
Marostegui updated the task description. (Show Details)Thu, Dec 5, 7:46 AM